## This file can be used to build arm64 Linux versions of a Bevy project

FROM ghcr.io/rust-lang/rust:nightly-buster

RUN apt-get update -yqq && \
    apt-get upgrade -yqq &&\
    apt-get install -yqq --no-install-recommends \
    ca-certificates \
    build-essential \
    g++ \
    clang \
    pkg-config \
    libx11-dev \
    libasound2-dev \
    libudev-dev \
    lld \
    libgtk-3-dev \
    libwebkit2gtk-4.0-dev \
    curl \
    wget \
    libssl-dev \
    libgtk-3-dev \
    libayatana-appindicator3-dev \
    librsvg2-dev \
    git \
    git-lfs \
    zip

# RUN wget https://lab.lcr.gr/microhacks/crunch/-/jobs/artifacts/trunk/raw/target/release/crunch?job=build-linux && \
#    mv 'crunch?job=build-linux' crunch && \
#    chmod +x crunch && \
#    mv crunch /usr/local/bin/crunch

# RUN wget https://lab.lcr.gr/microhacks/flit/-/jobs/artifacts/trunk/raw/target/release/flit?job=build-linux && \
#    mv 'flit?job=build-linux' flit && \
#    chmod +x flit && \
#    mv flit /usr/local/bin/flit

